/*
ServerEvents.blockLootTables((event) => {
    //
})
*/
/*

ServerEvents.loaded(event => {
    const $LootDataType = Java.loadClass('net.minecraft.world.level.storage.loot.LootDataType')
    
    let lootData = Utils.server.getLootData()
    // this will be a list of all the resourcelocations.
    let allTables = lootData.getKeys($LootDataType.TABLE)
    // filter it for only stuff that contains chest
    let filteredList = allTables.stream().filter(id => id.path.contains('chest')).map(id => id.toString()).toList()
    
    JsonIO.write('kubejs/exported/lootTables.json', {big_list: filteredList})
})

*/
ServerEvents.tags('block', event => {
    event.add('minecraft:mineable/pickaxe', 'arrzenhanced:titanium_ore')
    event.add('minecraft:needs_diamond_tool', 'arrzenhanced:titanium_ore')
    // event.add('minecraft:stone_ore_replaceables', 'arrzenhanced:titanium_ore')
    event.add('forge:ores/titanium', 'arrzenhanced:titanium_ore')
    
    event.add('minecraft:mineable/pickaxe', 'arrzenhanced:deepslate_titanium_ore')
    event.add('minecraft:needs_diamond_tool', 'arrzenhanced:deepslate_titanium_ore')
    // event.add('minecraft:deepslate_ore_replaceables', 'arrzenhanced:deepslate_titanium_ore')
    event.add('forge:ores/titanium', 'arrzenhanced:deepslate_titanium_ore')
    
    event.add('minecraft:mineable/pickaxe', 'arrzenhanced:nether_titanium_ore')
    event.add('minecraft:needs_diamond_tool', 'arrzenhanced:nether_titanium_ore')
    event.add('forge:ores/titanium', 'arrzenhanced:nether_titanium_ore')
    
    event.add('minecraft:mineable/pickaxe', 'arrzenhanced:titanium_block')
    event.add('minecraft:needs_diamond_tool', 'arrzenhanced:titanium_block')
    event.add('minecraft:beacon_base_blocks', 'arrzenhanced:titanium_block')
    event.add('forge:storage_blocks/titanium', 'arrzenhanced:titanium_block')
})

ServerEvents.tags('item', event => {
    event.add('forge:storage_blocks/titanium', 'arrzenhanced:titanium_block')
    event.add('forge:ores/titanium', 'arrzenhanced:titanium_ore')
    event.add('forge:ores/titanium', 'arrzenhanced:deepslate_titanium_ore')
    event.add('forge:ores/titanium', 'arrzenhanced:nether_titanium_ore')
  })